how can i fix this? also when i plug it in it says uncompitable version but wont let me update